JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const response = await client.v1.subscriptions.usage.sync('x');
console.log(response.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
response = client.v1.subscriptions.usage.sync(
id="x",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.V1.Subscriptions.Usage.Sync(
context.TODO(),
"x",
stigg.V1SubscriptionUsageSyncParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.subscriptions.usage.UsageSyncParams;
import io.stigg.models.v1.subscriptions.usage.UsageSyncResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
UsageSyncResponse response = client.v1().subscriptions().usage().sync("x");
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
response = stigg.v1.subscriptions.usage.sync("x")
puts(response)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Subscriptions.Usage;
StiggClient client = new();
UsageSyncParams parameters = new() { ID = "x" };
var response = await client.V1.Subscriptions.Usage.Sync(parameters);
Console.WriteLine(response);stigg v1:subscriptions:usage sync \
--api-key 'My API Key' \
--id xcurl --request POST \
--url https://api.stigg.io/api/v1/subscriptions/{id}/usage/sync \
--header 'X-API-KEY: <api-key>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1/subscriptions/{id}/usage/sync",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"triggered": true
}
}{
"message": "<string>"
}{
"message": "<string>",
"code": "Unauthenticated"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"code": "RateLimitExceeded"
}Subscriptions
Trigger subscription usage sync
Triggers a usage sync for a subscription, reporting current usage to the billing provider.
POST
/
api
/
v1
/
subscriptions
/
{id}
/
usage
/
sync
JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const response = await client.v1.subscriptions.usage.sync('x');
console.log(response.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
response = client.v1.subscriptions.usage.sync(
id="x",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.V1.Subscriptions.Usage.Sync(
context.TODO(),
"x",
stigg.V1SubscriptionUsageSyncParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.subscriptions.usage.UsageSyncParams;
import io.stigg.models.v1.subscriptions.usage.UsageSyncResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
UsageSyncResponse response = client.v1().subscriptions().usage().sync("x");
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
response = stigg.v1.subscriptions.usage.sync("x")
puts(response)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Subscriptions.Usage;
StiggClient client = new();
UsageSyncParams parameters = new() { ID = "x" };
var response = await client.V1.Subscriptions.Usage.Sync(parameters);
Console.WriteLine(response);stigg v1:subscriptions:usage sync \
--api-key 'My API Key' \
--id xAuthorizations
Server API Key
Headers
Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.
Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).
Path Parameters
The unique identifier of the entity
Required string length:
1 - 255Response
Whether the usage sync was triggered.
Response object
Result of triggering a subscription usage sync.
Show child attributes
Show child attributes
⌘I
